> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Material Request Approval History



## OpenAPI

````yaml /api/openapi-cutmake.json get /material-requests/{mr_id}/approval-history
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /material-requests/{mr_id}/approval-history:
    get:
      tags:
        - Material Requests
      summary: Get Material Request Approval History
      operationId: >-
        get_material_request_approval_history_material_requests__mr_id__approval_history_get
      parameters:
        - name: mr_id
          in: path
          required: true
          schema:
            type: string
            title: Mr Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MaterialRequestApprovalHistory'
                title: >-
                  Response Get Material Request Approval History Material
                  Requests  Mr Id  Approval History Get
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    MaterialRequestApprovalHistory:
      properties:
        id:
          type: string
          title: Id
        materialRequestId:
          type: string
          title: Materialrequestid
        action:
          type: string
          title: Action
        status:
          type: string
          title: Status
        performedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Performedbyid
        performedByName:
          anyOf:
            - type: string
            - type: 'null'
          title: Performedbyname
        performedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Performedat
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        comments:
          anyOf:
            - type: string
            - type: 'null'
          title: Comments
      type: object
      required:
        - id
        - materialRequestId
        - action
        - status
      title: MaterialRequestApprovalHistory
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````